# SPDX-FileCopyrightText: Red Hat Inc
# SPDX-License-Identifier: LGPL-2.1-or-later

Name: blkhash
Version: 0.11.0
Release: 0.202505011822.git193d3e0%{?dist}
Summary: Compute disk image checksum

License: LGPLv2+
URL: https://gitlab.com/nirs/blkhash

# To create the tarball:
#   git clone https://gitlab.com/nirs/blkhash.git
#   cd blkhash
#   meson build
#   meson dist --include-subprojects -C build
Source: %{name}-%{version}.tar.xz

BuildRequires: asciidoc
BuildRequires: gcc
BuildRequires: libnbd-devel
BuildRequires: meson
BuildRequires: openssl-devel
BuildRequires: procps-ng
BuildRequires: python3-pytest
BuildRequires: qemu-img

# blake3 is available since fedora 38.
%if 0%{?fedora} >= 38
BuildRequires: blake3-devel
%endif

Requires: qemu-img

%description
This package provides the blksum command line tool and the %{name}
library for computing disk image checksum.

%package libs
Summary: Libraries for %{name}

%description libs
This package provides the %{name} library for computing disk image
checksum.

%package devel
Summary: Header files for %{name}
Requires: %{name}-libs = %{version}-%{release}

%description devel
This package provides the development headers for the %{name} library.

%prep
%autosetup

%build
%meson --auto-features=auto
%meson_build

%check
%meson_test

%install
%meson_install

%files
%license LICENSES/LGPL-2.1-or-later.txt
%{_bindir}/blksum
%{_mandir}/man1/blksum.1*

%files libs
%license LICENSES/LGPL-2.1-or-later.txt
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/%{name}_*.3*

%changelog
* Sat Oct 22 2022 Nir Soffer <nsoffer@redhat.com> - 0.11.0-0.202505011822.git193d3e0
- This is a copr build from git
